
// VARIABLES
  const int entree = 11;// Test "entrée" du circuit avec interrupteurs reed
  const int sortie = 12;// Test "sortie" du circuit avec interrupteurs reed
  int ledPin[12]; // 12 voies (pour les séries de del blanches) 
  const int voyantON = 13; // première DEL orange à la mise sous tension
  int final=0;

// SETUP
void setup() {
  //Déclaration en entrée des voies 11 et 12
pinMode(entree, INPUT);
pinMode(sortie, INPUT);

  // Déclaration en sortie digitale des 5 voies correspondant aux 5 series de 3 del
  for (int i=2;i<12;i=i+2) {
  ledPin[i] =  i;
  pinMode(ledPin[i], OUTPUT);
  }

  //Allumage de la 1ere DEL orange
   pinMode(voyantON, OUTPUT);
   digitalWrite(voyantON, HIGH);
}

 // LOOP
void loop() {

  // test de l'état de 11 et 12 toutes les secondes
   byte etat_entree = digitalRead(entree);
   byte etat_sortie = digitalRead(sortie);
  
  delay(1000);

  //si 11 est 1 et 12 est 0 (si circuit avec interrupteurs reed est fermé)
  if ((etat_entree == HIGH)&&(etat_sortie==LOW)) {

// déclenchement lent puis de plus en plus rapide des del
if (final==0){
  for (int t=1;t<11;t++){
  for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], HIGH);
  delay(200/t);
  }
  for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], LOW);
  }
 
  }
  for (int x=1;x<30;x++){
  for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], HIGH);
  delay(20);
  }
  for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], LOW);
  }
  }
}
// puis del allumées en continu
   for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], HIGH);
     }
  final=1;

}

//sinon les del blanches sont éteintes
  else {
  final= 0;
      for (int i=2;i<12;i=i+2) {
  digitalWrite(ledPin[i], LOW);
     }
     
  }

}
